Subject: bug#44595: closed (Re: [bug#44595] [PATCH 1/1] gnu: transmission: Move remaining GUI-related files to "gui" output.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Nov 2020 22:48:02 +0000

Your bug report

#44595: [PATCH 0/1] gnu: transmission: Move remaining GUI-related files to "gui" output.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44595: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44595
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#44595] [PATCH 1/1] gnu: transmission: Move remaining GUI-related files to "gui" output.
From: Ludovic Courtès <[email-masked]>
To: Simon South <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Nov 2020 23:47:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Simon South <[email-masked]> skribis:

> * gnu/packages/bittorrent.scm (transmission)[arguments]<phases>: Expand
> "move-gui" phase to move remaining GUI-related files (AppData file,
> localization files, man page) to "gui" output.

Applied, thanks!

Ludo’.

Subject: [PATCH 0/1] gnu: transmission: Move remaining GUI-related files to "gui" output.
From: Simon South <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 12 Nov 2020 11:23:57 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch updates the package for Transmission, a BitTorrent client, to more
completely separate its GUI from the rest of the package's output.

Specifically, it moves the AppData, localization files and man page for the
"transmission-gtk" application to the package's "gui" output. These had
inadvertently been left in the main output, as you can see (before applying
the patch) with

  find `guix build transmission` -type f | grep gtk

Note I've also removed a comment from the package definition, as it is now
outdated and I see no reason to be continually expanding it when I feel it is
clear from the phase's name, the preceding comment and the code itself what is
being done and why.

--
Simon South
[email-masked]

Simon South (1):
  gnu: transmission: Move remaining GUI-related files to "gui" output.

 gnu/packages/bittorrent.scm | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

-- 
2.29.2